org.tmatesoft.svn.core.wc

## Class SVNConflictReason

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNConflictReason

-     public class SVNConflictReason
      extends java.lang.Object

  The SVNConflictReason class represents an enumeration of constants describing the reason of a conflict state in a working copy produced by a merge operation.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SVNConflictReason` | `ADDED` Constant saying that an object is already added or schedule-add
    `static SVNConflictReason` | `DELETED` Constant saying that an object is already schedule-delete.
    `static SVNConflictReason` | `EDITED` Constant saying that local edits are already present.
    `static SVNConflictReason` | `MISSING` Constant saying that an object is unknown or missing.
    `static SVNConflictReason` | `OBSTRUCTED` Constant saying that another object is in the way.
    `static SVNConflictReason` | `UNVERSIONED` Constant saying that an object is unversioned.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SVNConflictReason` | `fromString(java.lang.String reason)` Converts a string reason name to an `SVNConflictReason` object.
    `java.lang.String` | `getName()` Retunrns a string representation of this object.
    `java.lang.String` | `toString()` Retunrns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EDITED

          public static final SVNConflictReason EDITED

      Constant saying that local edits are already present.

    - #### OBSTRUCTED

          public static final SVNConflictReason OBSTRUCTED

      Constant saying that another object is in the way.

    - #### DELETED

          public static final SVNConflictReason DELETED

      Constant saying that an object is already schedule-delete.

    - #### MISSING

          public static final SVNConflictReason MISSING

      Constant saying that an object is unknown or missing. Reserved (never passed currently).

    - #### UNVERSIONED

          public static final SVNConflictReason UNVERSIONED

      Constant saying that an object is unversioned. Reserved (never passed currently).

    - #### ADDED

          public static final SVNConflictReason ADDED

      Constant saying that an object is already added or schedule-add

  - ### Method Detail

    - #### fromString

          public static SVNConflictReason fromString(java.lang.String reason)

      Converts a string reason name to an `SVNConflictReason` object.
      Parameters:
        `reason` - name
      Returns:
        an `SVNConflictReason` that matches the `reason` name; `null` if no match is found
      Since:
        1.3

    - #### getName

          public java.lang.String getName()

      Retunrns a string representation of this object.
      Returns:
        conflict reason name
      Since:
        1.3

    - #### toString

          public java.lang.String toString()

      Retunrns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        conflict reason name
      Since:
        1.3

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.